TikTok, Instagram, and X are live. Sign up for 150 free credits.
Fluxcrawl
API ReferenceInstagram

Get profile

GET
/v1/instagram/profile

Look up an Instagram profile by username.

Cost: 1 credit per successful call.

Authorization

ApiKeyAuth
X-API-Key<token>

Required on every request. Keys are issued manually during early access, see Authentication.

In: header

Query Parameters

username*string

Instagram handle, no @.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/instagram/profile?username=instagram"
{  "success": true,  "platform": "instagram",  "data": {    "username": "instagram",    "display_name": "Instagram",    "followers": 686706771,    "verified": true  },  "meta": {    "credits_used": 1  }}